resources:
  App\Entity\Offer\CommercialCredit:
    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'order:read'
        - 'offer_order:read'
        - 'offer:read'
        - 'commercial_credit:read'

    denormalizationContext:
      groups:
        - 'commercial_credit:write'
        - 'offer_order:write'
        - 'order:write'
    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'commercial_credit.order_filter', 'commercial_credit.search_filter', 'commercial_credit.boolean_filter' ]
        openapiContext:
          summary: CommercialCredit - List.
          description: >
            Retrieves a list of CommercialCredit

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: CommercialCredit - Item.
          description: >
            Retrieves a item of CommercialCredit

      ApiPlatform\Metadata\Post:
        openapiContext:
          summary: CommercialCredit - Create.
          description: >
            create an item of CommercialCredit
